Bug 469422 - Synergy delay issues with X
Synergy delay issues with X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 14:56 EDT by Matt Dinsmore
Modified: 2009-04-10 14:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-10 14:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Dinsmore 2008-10-31 14:56:07 EDT
Description of problem: There is intermittent delays when using synergy. It looks like a network delay at first, but it's really not. It looks like someone has a fix for it, the patch just needs to be implemented. What happens is, on the remote system, every once in a while, like every couple minutes at most, the session will lock up for a few seconds up to sometimes 10 seconds. 


Version-Release number of selected component (if applicable): synergy-1.3.1-9.fc9.i386


How reproducible: I rebuilt my machine cause I thought it was a network issue and then found the synergy bug report. So, it's reproducible.


Steps to Reproduce:
1. Install Synergy
2. Use Synergy
3. Screen locks up intermittently for various lengths of time, usually seconds
  
Actual results: Locked up / choppy remote sessions


Expected results: Smooth VNC like connection


Additional info: http://sourceforge.net/tracker/?func=detail&atid=490469&aid=2141567&group_id=59275
Comment 1 Matthias Saou 2008-11-04 06:01:50 EST
Thanks for the report. I've included the patch in F-8, F-9 and devel branches. Expect the testing updates to show up soon.
Comment 2 Fedora Update System 2008-11-10 07:59:17 EST
synergy-1.3.1-10.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/synergy-1.3.1-10.fc8
Comment 3 Fedora Update System 2008-11-10 08:00:00 EST
synergy-1.3.1-10.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/synergy-1.3.1-10.fc9
Comment 4 Fedora Update System 2008-11-11 21:55:23 EST
synergy-1.3.1-10.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synergy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9558
Comment 5 Fedora Update System 2008-11-11 21:58:46 EST
synergy-1.3.1-10.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update synergy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9587
Comment 6 Jason Farrell 2008-11-13 17:09:59 EST
Still choppy here. 1 second of lag for every ~4 seconds of interactivity.
Comment 7 Matt Dinsmore 2008-11-14 17:07:05 EST
This fixed my issues. Been running it for 2-3 days.
Comment 8 wes 2008-12-29 08:58:59 EST
I think this still exists in FC10 (at least the x86_64 version), unless i'm missing something stupid.

$ rpm -qa | grep synergy
synergy-1.3.1-9.fc10.x86_64

I tried the: 'yum --enablerepo=updates-testing update synergy' and it came back with "installed to latest version". So i'm guessing the -10 patch just needs to be put into FC10(?).
Comment 9 Matthias Saou 2009-01-02 11:05:33 EST
(In reply to comment #8)
> I tried the: 'yum --enablerepo=updates-testing update synergy' and it came back
> with "installed to latest version". So i'm guessing the -10 patch just needs to
> be put into FC10(?).

You're absolutely right : The release was tagged, but apparently not built nor pushed for F-10. I'm "fixing" this now.

Now my problem is that this update seems to fix the problem for some, not for other, and makes things worse in some cases... and upstream is silent and has been for way too long.
Comment 10 Max Rydahl Andersen 2009-01-26 03:22:15 EST
I'm running x86_64 and can verify that after running yum --enablerepo=updates-testing update synergy I got the new version (1.3.1-10) and I haven't seen the timeouts yet (after 30 minutes usage)
Comment 11 Martin Poole 2009-02-04 04:35:46 EST
Running the i386 version of 1.3.1-10 all day yesterday.

Much improved. Still a small glitch as you change window focus, but nothing like the multi-second death of previous.
Comment 12 Matt Baker 2009-02-13 15:56:00 EST
I just got this update today synergy-1.3.1-10.fc10.i386
.   So far the multi-second pauses that I used to have are gone.  Thank you!
Comment 13 Matthias Saou 2009-04-10 14:45:18 EDT
The final fix went into 1.3.1-12, which has been pushed to F-9 and F-10 a while back, so closing this report.

Note You need to log in before you can comment on or make changes to this bug.